{{- if .Values.application.enable -}}
apiVersion: v1
kind: Service

metadata:
  name: {{ include "application.type" . }}-application-service
  namespace: {{ .Release.Namespace }}
  labels:
    cattle.io/creator: norman
    app: {{ .Values.client.type }}
    chart: {{ include "nemobileapp.chart" . }}
    release: {{ .Release.Name }}
spec:
  clusterIP: None
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: {{ .Values.client.type }}
    component: {{ include "application.type" . }}-application
    release: {{ .Release.Name }}
  type: ClusterIP
{{- end -}}
